import { Context, Schema, Service } from 'koishi';
import StarRailDatabase from './internal/database';
import StarRailCommander from './internal/command';
declare module 'koishi' {
    interface Context {
        starrail: HonkaiStarRail & HonkaiStarRail.Mixins;
    }
}
declare class HonkaiStarRail extends Service {
    private app;
    static using: string[];
    constructor(app: Context, config: HonkaiStarRail.Config);
    protected mixin(constructorers: any[]): void;
}
declare namespace HonkaiStarRail {
    interface BaseConfig {
    }
    const BaseConfig: Schema<BaseConfig>;
    export type Config = BaseConfig & StarRailCommander.Config;
    export const Config: Schema<Config>;
    export type Collapse<T> = Pick<T, {
        [K in keyof T]: T[K] extends Function | number | string | boolean ? K : never;
    }[keyof T]>;
    export type Mixins = Collapse<StarRailDatabase> & Collapse<StarRailCommander>;
    export {};
}
export * from './internal/database';
export default HonkaiStarRail;
